Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get SSO user profile

Prev Next

Available in Classic and VPC

Get an SSO user profile.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/users/{userId}/profiles

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
userId String Required SSO user ID list

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/users/ba0def04-****-****-****-ff0b962016f7/profiles' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
firstName String - SSO user name
lastName String - SSO user last name
email String - SSO user email address
emailVerified Boolean - Email address verification status
  • true | false
    • true: verification completed
    • false: verification required
empNo String - SSO user employee number
phoneCountryCode String - SSO user country number
phoneNo String - SSO user mobile phone number
phoneNoVerified Boolean - Mobile phone number verification status
  • true | false
    • true: verification completed
    • false: verification required
deptName String - SSO user department name

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "firstName": "Gildong",
    "lastName": "Hong",
    "email": "******@ncloud.com",
    "emailVerified": true,
    "empNo": "00110011",
    "phoneCountryCode": "82",
    "phoneNo": "010-1100-0000",
    "phoneNoVerified": true,
    "deptName": "Department 2"
}